Bug 208767 - mkinitrd with --omit-... does not omit.
mkinitrd with --omit-... does not omit.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-01 15:47 EDT by Michal Jaegermann
Modified: 2009-01-08 23:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:34:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2006-10-01 15:47:14 EDT
Description of problem:

One would naively assume that 'mkinitrd --omit-dmraid ...' will
do what an option name suggests even if this option shows
up only with 'mkinitrd --help' and not on 'man mkinitrd'.
Lets try:

 mkinitrd -f -v --omit-dmraid --omit-raid-modules \
  /boot/initrd-2.6.18-1.2708.fc6.img 2.6.18-1.2708.fc6
......
Adding module dm-mod
Adding module dm-mirror
Adding module dm-zero
Adding module dm-snapshot
Adding dm map "pdc_cjfeejidea"
.....

Hmmm!  '--omit-raid-modules' was added after the firs try with
'--omit-dmraid' only failed to do expected.

Version-Release number of selected component (if applicable):
mkinitrd-5.1.19-1

How reproducible:
apparently always
Comment 1 Bug Zapper 2008-04-03 14:23:20 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Michal Jaegermann 2008-04-03 17:23:41 EDT
Ok, lets try a trivial check:

mkinitrd -v -f --omit-dmraid --omit-raid-modules initrd.check 2.6.24.4-64.fc8
.....
Adding module dm-mod
Adding module dm-mirror
Adding module dm-zero
Adding module dm-snapshot
.....

Is this an expected result?  mkinitrd-6.0.19-4.fc8
Comment 3 Jon Stanley 2008-04-03 17:37:04 EDT
In my opinion, I would say that it is, since these are device-mapper modules,
not having anything to do with dmraid.  They are required for LVM to function.
Comment 4 Peter Jones 2008-07-14 16:58:34 EDT
--omit-raid-modules is md raid, --omit-dmraid is dmraid.

Is this still broken for you in F9?
Comment 5 Michal Jaegermann 2008-07-22 18:47:12 EDT
I am not entirely sure what a comment "--omit-raid-modules is md raid,
--omit-dmraid is dmraid" is supposed to say, nor I remember after such
long time why I originally tried to suppress dm-... modules in the first
place.

OTOH when I am running on F9
mkinitrd -v -f --omit-dmraid initrd.img 2.6.25.10-86.fc9.x86_64
then I still see:
....
Adding module dm-mod
Adding module dm-mirror
Adding module dm-zero
Adding module dm-snapshot
....

Using both "--omit-dmraid --omit-raid-modules" does not change
anything in this picture.
Comment 6 Bug Zapper 2008-11-26 02:02:19 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-08 23:34:30 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.